﻿* Encoding: UTF-8.
*Figure 6.9. 

DATASET ACTIVATE DataSet1.
* Chart Builder.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=In_TA Summer_thermal_sensation_livingroom_Q22_rec 
    MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE
  /FITLINE TOTAL=NO SUBGROUP=NO.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: In_TA=col(source(s), name("In_TA"))
  DATA: Summer_thermal_sensation_livingroom_Q22_rec=col(source(s), 
    name("Summer_thermal_sensation_livingroom_Q22_rec"))
  GUIDE: axis(dim(1), label("Opreative air temperature (°C)"))
  GUIDE: axis(dim(2), label("Thermal sensation in livingroom (recoded)"))
  GUIDE: text.title(label("Scatter Plot of Thermal sensation in livingroom (recoded) by ",
    "Opreative air temperature (°C)"))
  ELEMENT: point(position(In_TA*Summer_thermal_sensation_livingroom_Q22_rec))
END GPL.


*Figure 6.10. 

* Chart Builder.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=In_TA Summer_thermal_sensation_bedroom1_Q22_rec
    MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE
  /FITLINE TOTAL=NO SUBGROUP=NO.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: In_TA=col(source(s), name("In_TA"))
  DATA: Summer_thermal_sensation_bedroom1_Q22_rec=col(source(s), 
    name("Summer_thermal_sensation_bedroom1_Q22_rec"))
  GUIDE: axis(dim(1), label("Opreative air temperature (°C)"))
  GUIDE: axis(dim(2), label("Thermal sensation in bedroom1 (recoded)"))
  GUIDE: text.title(label("Scatter Plot of Thermal sensation in bedroom1 (recoded) by ",
    "Opreative air temperature (°C)"))
  ELEMENT: point(position(In_TA*Summer_thermal_sensation_bedroom1_Q22_rec))
END GPL.

*Figure 6.11. 

* Chart Builder.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=In_TA Summer_thermal_sensation_bedroom2_Q22_rec
    MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE
  /FITLINE TOTAL=NO SUBGROUP=NO.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: In_TA=col(source(s), name("In_TA"))
  DATA: Summer_thermal_sensation_bedroom2_Q22_rec=col(source(s), 
    name("Summer_thermal_sensation_bedroom2_Q22_rec"))
  GUIDE: axis(dim(1), label("Opreative air temperature (°C)"))
  GUIDE: axis(dim(2), label("Thermal sensation in bedroom2 (recoded)"))
  GUIDE: text.title(label("Scatter Plot of Thermal sensation in bedroom2 (recoded) by ",
    "Opreative air temperature (°C)"))
  ELEMENT: point(position(In_TA*Summer_thermal_sensation_bedroom2_Q22_rec))
END GPL.

*Figure 6.12. 


GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=In_TA Summer_thermal_sensation_bedroom3_Q22_rec
    MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE
  /FITLINE TOTAL=NO SUBGROUP=NO.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: In_TA=col(source(s), name("In_TA"))
  DATA: Summer_thermal_sensation_bedroom3_Q22_rec=col(source(s), 
    name("Summer_thermal_sensation_bedroom3_Q22_rec"))
  GUIDE: axis(dim(1), label("Opreative air temperature (°C)"))
  GUIDE: axis(dim(2), label("Thermal sensation in bedroom3 (recoded)"))
  GUIDE: text.title(label("Scatter Plot of Thermal sensation in bedroom3 (recoded) by ",
    "Opreative air temperature (°C)"))
  ELEMENT: point(position(In_TA*Summer_thermal_sensation_bedroom3_Q22_rec))
END GPL.

*Figure 6.13. 


GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=In_TA Summer_temperature_satisfaction_Q33_rec
    MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE
  /FITLINE TOTAL=NO SUBGROUP=NO.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: In_TA=col(source(s), name("In_TA"))
  DATA: Summer_temperature_satisfaction_Q33_rec=col(source(s), 
    name("Summer_temperature_satisfaction_Q33_rec"))
  GUIDE: axis(dim(1), label("Opreative air temperature (°C)"))
GUIDE: axis(dim(2), label("Summer temperature satisfaction (recoded)"))
  GUIDE: text.title(label("Scatter Plot of Summer temperature satisfaction (recoded) by ",
    "Opreative air temperature (°C)"))
  ELEMENT: point(position(In_TA*Summer_temperature_satisfaction_Q33_rec))
END GPL.
