﻿* Encoding: UTF-8.
***************************************************
***************Check Appendix J, K************
***************************************************


* Encoding: UTF-8.
*Table J1.
FREQUENCIES VARIABLES=Summer_temperature_satisfaction_Q33_rec Summer_temperature_satisfaction_5grps 
    Summer_thermal_sensation_bedroom1_Q22_rec Summer_thermal_sensation_bedroom2_Q22_rec 
    Summer_thermal_sensation_bedroom3_Q22_rec Summer_thermal_sensation_kitchen_Q22_rec 
    Summer_thermal_sensation_livingroom_Q22_rec Winter_temperature_satisfaction_Q34 
    Summer_thermal_sensation_bedroom1_5grps Summer_thermal_sensation_bedroom2_5grps 
    Summer_thermal_sensation_bedroom3_5grps Summer_thermal_sensation_kitchen_5grps 
    Reason_for_thermal_discomfort_4grps Feeling_preference_rec_4grps
  /ORDER=ANALYSIS.

*Table J2.
FREQUENCIES VARIABLES=Age_Q1.2 Age_bands_6grps Awareness_in_energy_saving_Q6_rec 
    Electricity_meter_reading_Q4_rec education_4grps Clothing_insulation_4grps Residency_3grps 
    Floor_4grps Ethnicity_2grps Orientation_4grps Interviewed_room_condition_5grps Health_4grps 
    Household_density_4grps Income_4grps Metabolic_activity_7grps Energy_consumption_Q5 Gender_Q1.1 
    Occupation_4grps Occupation_Q1.3 Tenure_type_Q3
  /ORDER=ANALYSIS.

*Table J3.
FREQUENCIES VARIABLES=Summertime_doors_opening_preference_Q19_rec 
    Wintertime_doors_opening_preference_Q24_rec Cooling_control_4grps Cooling_patterns_weekdays_3grps 
    Cooling_patterns_weekends_Q13 E2015_SUMMER_AUGUST_4grps E2015_SUMMER_OVERALL_5grps 
    E2016_SUMMER_AUGUST_4grps E2016_SUMMER_OVERALL_5grps Health_4grps Heating_patterns_weekdays_3grps 
    Heating_patterns_weekends_3grps Windows_opening_reason_2grps E2015_WINTER_OVERALL_4grps 
    E2016_WINTER_OVERALL_4grps Type_of_heating_system_4grps Type_of_cooling_system_4grps 
    Windows_closing_reason_5grps
  /ORDER=ANALYSIS.

*Table J4.
FREQUENCIES VARIABLES=In_DEW In_RH In_TA In_Temperature In_WET_rec In_WBGT Out_Heat_Index Out_RH 
    Out_TA Out_DEW In_TG
  /ORDER=ANALYSIS.


***************************************************
************ Fisher's Exact Test ***************
***************************************************


*Table 4.1.
*Floor by orientation in crosstabs.
CROSSTABS
  /TABLES=Floor_4grps BY Orientation_4grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
      /METHOD=EXACT TIMER(5).

*Table 4.2.
CROSSTABS
  /TABLES=Age_bands_6grps Occupation_Q1.3 education_4grps Occupation_4grps Income_4grps BY Health_4grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

CROSSTABS
  /TABLES=Age_bands_6grps Occupation_Q1.3 education_4grps Occupation_4grps BY Income_4grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
      /METHOD=EXACT TIMER(5).

CROSSTABS
  /TABLES=Age_bands_6grps Occupation_Q1.3 education_4grps BY Occupation_4grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
      /METHOD=EXACT TIMER(5).

CROSSTABS
  /TABLES=Age_bands_6grps Occupation_Q1.3 BY education_4grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
      /METHOD=EXACT TIMER(5).

CROSSTABS
  /TABLES=Age_bands_6grps BY Occupation_Q1.3
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
      /METHOD=EXACT TIMER(5).

*Table 4.3.
CROSSTABS
  /TABLES=Age_bands_6grps Tenure_type_Q3 BY Residency_3grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
  /METHOD=EXACT TIMER(5).

CROSSTABS
  /TABLES=Age_bands_6grps BY Tenure_type_Q3
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
  /METHOD=EXACT TIMER(5).

*Table 4.4..
CROSSTABS
  /TABLES=  Energy_advise_Q7 Awareness_in_energy_saving_Q6_rec  Income_4grps  Energy_consumption_Q5 BY Electricity_meter_reading_Q4_rec
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

CROSSTABS
  /TABLES=  Energy_advise_Q7 Awareness_in_energy_saving_Q6_rec  Income_4grps  BY Energy_consumption_Q5
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).

CROSSTABS
  /TABLES=  Energy_advise_Q7 Awareness_in_energy_saving_Q6_rec BY Income_4grps 
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).
CROSSTABS
  /TABLES=  Energy_advise_Q7 BY Awareness_in_energy_saving_Q6_rec
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
    /METHOD=EXACT TIMER(5).





*Table 5.1.
CROSSTABS
  /TABLES=  Occupation_4grps Cooling_patterns_weekdays_3grps Cooling_patterns_weekends_Q13  Heating_patterns_weekdays_3grps BY Heating_patterns_weekends_3grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
  /METHOD=EXACT TIMER(5).

CROSSTABS
  /TABLES=  Occupation_4grps Cooling_patterns_weekdays_3grps Cooling_patterns_weekends_Q13 BY  Heating_patterns_weekdays_3grps 
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
  /METHOD=EXACT TIMER(5).

CROSSTABS
  /TABLES=  Occupation_4grps Cooling_patterns_weekdays_3grps BY Cooling_patterns_weekends_Q13 
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
  /METHOD=EXACT TIMER(5).

CROSSTABS
  /TABLES=  Occupation_4grps BY Cooling_patterns_weekdays_3grps 
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
  /METHOD=EXACT TIMER(5).

*Table 5.2.
*Relationships between occupation, open window in winter, open window in summer, and heating control.
CROSSTABS
  /TABLES= Occupation_4grps Windows_opening_patterns_Winter_4grps Windows_opening_patterns_Summer_3grps Heating_control_5grps BY Summertime_doors_opening_preference_Q19_rec
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
  /METHOD=EXACT TIMER(5).

CROSSTABS
  /TABLES= Occupation_4grps Windows_opening_patterns_Winter_4grps Heating_control_5grps BY Windows_opening_patterns_Summer_3grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
  /METHOD=EXACT TIMER(5).

CROSSTABS
  /TABLES= Occupation_4grps Heating_control_5grps BY Windows_opening_patterns_Winter_4grps 
  /FORMAT=AVALUE TABLES
  /STATISTICTAS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
  /METHOD=EXACT TIMER(5).

CROSSTABS
  /TABLES= Occupation_4grps BY Heating_control_5grps
  /FORMAT=AVALUE TABLES
  /STATISTICTAS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
  /METHOD=EXACT TIMER(5).

CROSSTABS
  /TABLES= Occupation_4grps Windows_opening_patterns_Winter_4grps Windows_opening_patterns_Summer_3grps Summertime_doors_opening_preference_Q19_rec Heating_control_5grps BY
  Wintertime_doors_opening_preference_Q24_rec Windows_opening_reason_2grps Windows_closing_reason_5grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
  /METHOD=EXACT TIMER(5).





*Table 6.3.
CROSSTABS
  /TABLES=Reason_for_thermal_discomfort_4grps  Age_bands_6grps  Orientation_4grps BY Floor_4grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
  /METHOD=EXACT TIMER(5).
CROSSTABS
  /TABLES=Reason_for_thermal_discomfort_4grps  Age_bands_6grps BY Orientation_4grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
  /METHOD=EXACT TIMER(5).
CROSSTABS
  /TABLES=Reason_for_thermal_discomfort_4grps BY Age_bands_6grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
  /METHOD=EXACT TIMER(5).

*Table 6.4.
CROSSTABS
  /TABLES=Summer_thermal_sensation_livingroom_Q22_rec  Summer_thermal_sensation_kitchen_Q22_rec Summer_thermal_sensation_bedroom1_Q22_rec Summer_thermal_sensation_bedroom2_Q22_rec
  Summer_thermal_sensation_bedroom3_Q22_rec BY Orientation_4grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
 /METHOD=EXACT TIMER(5).



CROSSTABS
  /TABLES=Summer_thermal_sensation_livingroom_Q22_rec  Summer_thermal_sensation_kitchen_Q22_rec Summer_thermal_sensation_bedroom1_Q22_rec Summer_thermal_sensation_bedroom2_Q22_rec
  Summer_thermal_sensation_bedroom3_Q22_rec Orientation_4grps BY  Floor_4grps
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT COLUMN BPROP 
  /COUNT ROUND CELL
   /METHOD=EXACT TIMER(5).



CORRELATIONS
  /VARIABLES=Summer_thermal_sensation_livingroom_Q22_rec  Summer_thermal_sensation_kitchen_Q22_rec Summer_thermal_sensation_bedroom1_Q22_rec Summer_thermal_sensation_bedroom2_Q22_rec
  Summer_thermal_sensation_bedroom3_Q22_rec 
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.


*Figure 7.14.


COMPUTE Time_of_day_rc = xdate.hours(Time_of_day).
EXECUTE.


EXAMINE VARIABLES=Out_Heat_Index BY  Time_of_day_rc
  /PLOT BOXPLOT
  /COMPARE GROUPS
  /STATISTICS NONE
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

*Figure 7.6.
EXAMINE VARIABLES=In_Temperature BY Time_of_day_rc
  /PLOT BOXPLOT
  /COMPARE GROUPS
  /STATISTICS NONE
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

*Figure 7.17a.
EXAMINE VARIABLES=Out_TA by Time_of_day_rc
  /PLOT BOXPLOT
  /COMPARE GROUPS
  /STATISTICS NONE
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

*Figure 7.17b.
EXAMINE VARIABLES=In_TA by Time_of_day_rc
  /PLOT BOXPLOT
  /COMPARE GROUPS
  /STATISTICS NONE
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
